#! /bin/sh
#
# Name: opus_catalog_instrument_abbreviation.s
#
# Description: Determines the instrument abbreviation (e.g. nic) for
#              a particular CDBS delivery.
#
# Called by:   opus_catalog.s
#
# Requires:    env var CDBS_SERVER
#              env var CDBS_DB
#
#--------------------------------------------------------------------------
isql -S$CDBS_SERVER << EOF
use $CDBS_DB
go
select distinct lower(i.abbreviation) from instrument_abbreviations i, opus_log l
where i.instrument = l.instrument
and   l.file_name = 
      (select max(file_name) from opus_log l where l.delivery_number = $1)
and   l.delivery_number = $1
go
